## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate bumpalo

Name:           rust-bumpalo
Version:        3.16.0
Release:        %autorelease
Summary:        Fast bump allocation arena for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bumpalo
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop tests and benchmarks that are not included in published crates
# * drop unused, benchmark-only criterion dev-dependency
Patch:          bumpalo-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fast bump allocation arena for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator-api2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator-api2-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator-api2" feature of the "%{crate}" crate.

%files       -n %{name}+allocator-api2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator_api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator_api-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator_api" feature of the "%{crate}" crate.

%files       -n %{name}+allocator_api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+boxed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+boxed-devel %{_description}

This package contains library source intended for building other packages which
use the "boxed" feature of the "%{crate}" crate.

%files       -n %{name}+boxed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+collections-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+collections-devel %{_description}

This package contains library source intended for building other packages which
use the "collections" feature of the "%{crate}" crate.

%files       -n %{name}+collections-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove stray executable bit
# https://github.com/fitzgen/bumpalo/pull/249
chmod -x src/lib.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri May 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.16.0-1
- Update to version 3.16.0; Fixes RHBZ#2274034

* Fri Mar 08 2024 Fabio Valentini <decathorpe@gmail.com> - 3.15.4-1
- Update to version 3.15.4; Fixes RHBZ#2265198

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 3.15.0-1
- Update to version 3.15.0; Fixes RHBZ#2264477

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 3.14.0-1
- Update to version 3.14.0; Fixes RHBZ#2239025

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 05 2023 Fabio Valentini <decathorpe@gmail.com> - 3.13.0-2
- Re-enable allocator-api2 feature

* Tue May 23 2023 Fabio Valentini <decathorpe@gmail.com> - 3.13.0-1
- Update to version 3.13.0; Fixes RHBZ#2209157

* Thu May 11 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.2-1
- Update to version 3.12.2; Fixes RHBZ#2196658

* Sat Apr 22 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.1-1
- Update to version 3.12.1; Fixes RHBZ#2188726

* Thu Jan 26 2023 Fabio Valentini <decathorpe@gmail.com> - 3.12.0-1
- Update to version 3.12.0; Fixes RHBZ#2161735

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 3.11.1-1
- Update to version 3.11.1; Fixes RHBZ#2135949

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> - 3.11.0-1
- Update to version 3.11.0; Fixes RHBZ#2119144

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 3.10.0-1
- Update to version 3.10.0; Fixes RHBZ#2092519

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 3.9.1-1
- Update to version 3.9.1; Fixes RHBZ#2037574

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 3.8.0-1
- Update to version 3.8.0; Fixes RHBZ#2015649

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 3.7.1-1
- Update to version 3.7.1; Fixes RHBZ#2005461

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 3.7.0-1
- Update to version 3.7.0.
- Fixes RHBZ#1965646

* Sat Feb 27 2021 Fabio Valentini <decathorpe@gmail.com> - 3.6.1-1
- Update to version 3.6.1.
- Fixes RHBZ#1919497

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 11:51:52 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.0-1
- Initial package

## END: Generated by rpmautospec
